Package name.pachler.nio.file.impl

# Class VoidWatchEventKind

java.lang.Object
name.pachler.nio.file.impl.VoidWatchEventKind

All Implemented Interfaces:
  `WatchEvent.Kind<Void>`

public class VoidWatchEventKind extends Object implements WatchEvent.Kind<Void>

## Constructor Summary

Constructors
Constructor
Description
`VoidWatchEventKind(String name)`

## Method Summary

Modifier and Type
Method
Description
`String`
`name()`
`Class<Void>`
`type()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VoidWatchEventKind

public VoidWatchEventKind(String name)

## Method Details

### name

public String name()

Specified by:
  `name` in interface `WatchEvent.Kind<Void>`
Returns:
  the name of this modifier

### type

public Class<Void> type()

Specified by:
  `type` in interface `WatchEvent.Kind<Void>`
Returns:
  the type of the WatchEvent's context value.